
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>asp.net自动更新组件分享 / iVAN</title>

    <meta name="description" content="asp.net自动更新组件分享 一. 摘要 前两天在博客上发布了一篇英文的自动更新组件文章Release a AutoUpdater tool,那么在这篇文章中,我们也对其功能进行一些简单说明,这个组件非常简单,所以大家可以下载进行一些改进.众所周知,对于一般的软件开发,在开始的时候都会有一个技术选型的阶段,最大的选型就是首先要确定是选择Client/Server模式还是Browser/Server模式.综合而论:两者各有优劣,在很多方面都不能被对方互相取代,如在适用Internet.维护工作量等方面,B/S比C/S要强很多:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">asp.net自动更新组件分享</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一. 摘要 <br /></strong>　　前两天在博客上发布了一篇英文的自动更新组件文章Release a AutoUpdater tool，那么在这篇文章中，我们也对其功能进行一些简单说明，这个组件非常简单，所以大家可以下载进行一些改进。众所周知，对于一般的软件开发，在开始的时候都会有一个技术选型的阶段，最大的选型就是首先要确定是选择Client/Server模式还是Browser/Server模式。综合而论：两者各有优劣，在很多方面都不能被对方互相取代，如在适用Internet、维护工作量等方面，B/S比C/S要强很多；但在运行速度、数据安全、人机交互等方面，B/S就远不如C/S那么强大。所以综上所述，凡是C/S的强项，便是B/S的弱项，反之亦然。由于今天讨论的是自动更新组件，所以接下来我们就往这方面细讲，既然C/S模式在运行速度、数据安全、人机交互有这么多的优点，尤其是客户端技术日益发展的今天，如何解决客户端的部署与自动升级问题便是一个非常重要的问题。</p>
<p><strong>二. 本文提纲</p>
<p></strong>· 1.摘要</p>
<p>· 2.本文提纲</p>
<p>· 3.为什么不使用ClickOnce</p>
<p>· 4.简要介绍</p>
<p>· 5.项目中如何使用</p>
<p>· 6.具体效果</p>
<p>· 7.维护与下载</p>
<p>· 8.总结 <br /><strong>三. 为什么不使用ClickOnce <br /></strong>　　在前面的摘要中我们简单介绍了自动更新功能的重要性，在这一小节里我们来谈一下为什么不使用微软给我们提供的自动更新组件ClickOnce，大家都知道ClickOnce给我们提供了很多功能：简单说来，ClickOnce 应用程序就是任何使用 ClickOnce 技术发布的 Windows 窗体或控制台应用程序。可以采用三种不同的方法发布 ClickOnce 应用程序：从网页发布、从网络文件共享发布或是从媒体（如 CD-ROM）发布。ClickOnce 应用程序既可以安装在最终用户的计算机上并在本地运行（即使当计算机脱机时也可以运行），也可以仅以联机模式运行，而不在最终用户的计算机上永久安装任何内容。ClickOnce 应用程序可以自行更新；这些应用程序可以在较新版本变为可用时检查较新版本，并自动替换所有更新的文件。开发人员可以指定更新行为；网络管理员也可以控制更新策略，如将更新标记为强制性的。最终用户或管理员还可以对更新进行回滚，使应用程序恢复到早期的版本。</p>
<p>　　从上面大家可以看出ClickOnce 无疑是微软对Client/Server模式部署的最佳解决方案，但正是因为它的功能特别强大而且又要使用相当简单，所以在产品的封装上就特别严实，基本上就暴露了一些简单的操作接口，这样就无形把一些定制化的操作拒之于门外，比如：</p>
<p>1，用户不能自己指定安装路径。</p>
<p>2，对自动更新流程不能做定制化的操作。</p>
<p>3，对自动更新的UI不能定制化的设计。</p>
<p>正因为这几个原因，所以很多企业都会做一些定制化的组件来实现自动更新的功能,基于此，我们这里也实现了一个非常简单的自动更新组件.</p>
<p><strong>四. 简要介绍</p>
<p></strong>其实自动更新的原理很简单，分析起来无非就是简单的几步操作，当然实现方式也是大同小异，这里我们就选一种较简单的方式:</p>
<p>1.启动主程序，主程序里面调用升级程序，升级程序连接到IIS或者FTP。 <br />2.升级程序获取服务器端XML配置文件中新版本程序的更新日期或版本号或文件大小。 <br />3.升级程序获取原有客户端应用程序的最近一次更新日期或版本号或文件大小，然后两者进行比较；如果新版本日期&gt;原有程序的最新日期，则提示用户是否升级；或如果新版本版本号&gt;原有程序的版本号，则提示用户是否升级；再或如果新版本文件大小&gt;原有程序的文件大小，则提示用户是否升级。本文主要采用一般的做法，就是通过版本号来进行对比。 <br />4.如果用户选择升级，则获取下载文件列表； <br />5.在本地建立与远程IIS或者FTP相应的临时目录，然后下载到这个临时目录文件下； <br />6.删除旧的主程序，拷贝临时文件夹中的文件到相应的位置； <br />8.结束升级流程并重新启动主程序。 <br />根据前面的流程，我们可以简单设计如下的项目：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDExMTU5NTkzODQzMi5wbmc=.jpg"></p>
<p>图1</p>
<p>具体类介绍： <br />IAutoUpdater.cs 提供外部调用的接口 <br />AutoUpdater.cs 该组件的主操作类 <br />Autoupdater.config 本地配置文件 <br />DownloadConfirm.cs 提示是否有更新页面 <br />DownloadProgress.cs 下载进度页面 <br />CommonUnitity.cs 一些常用功能 <br />Config.cs 当更新完毕之后需要更新Config,所以这里需要一个提供序列化的Config类 <br />ConstFile.cs 一些常量文件 <br />DownloadFileInfo.cs 需要下载的文件实体类 <br />LocalFile.cs 本地文件实体类 <br />RemoteFile.cs 远程文件实体类 <br />UpdateFileList.cs 本地的实体类集合 <br />代码非常简单，具体可以下载进行查看，所以这里就不做过多阐述。 <br /><strong>五. 项目中如何使用 <br /></strong>第一步：Host更新的版本到服务器 <br />　　如果需要让客户端获取最新的版本，首先我们需要开发人员编译源代码并生成文件，然后拷贝到FTP或者IIS目录下，运行一个自动生成XML文件的程序，把所有的文件都自动生成到一个XML文件，详细见下图： 
<pre></pre>
<pre>                                图2</pre>
<p>第二步：配置本地的Config</p>
<p>　　经过第一步的流程，这一步要做的就是配置本地的Config用于监测并下载远程IIS或者FTP下需要更新的文件，具体如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDExMTU5NTk1MDc5OC5wbmc=.jpg"></p>
<p>图3</p>
<p><strong>第三步：修改主程序 <br /></strong>　　首先把AutoUpdater这个DLL引入我们的主项目，然后在主项目中添加如下代码，当然你可以根据自己的需要进行书写，这个DLL提供了两个外部接口，一个接口用于判断是否有更新及下载，另一个接口则是用于更新出错时进行回滚操作，具体代码如下： <br /><u>复制代码</u> 代码如下: <br />#region check and download new version program <br />bool bHasError = false; <br />IAutoUpdater autoUpdater = new AutoUpdater(); <br />try <br />{ <br />autoUpdater.Update(); <br />} <br />catch (WebException exp) <br />{ <br />MessageBox.Show("Can not find the specified resource"); <br />bHasError = true; <br />} <br />catch (XmlException exp) <br />{ <br />bHasError = true; <br />MessageBox.Show("Download the upgrade file error"); <br />} <br />catch (NotSupportedException exp) <br />{ <br />bHasError = true; <br />MessageBox.Show("Upgrade address configuration error"); <br />} <br />catch (ArgumentException exp) <br />{ <br />bHasError = true; <br />MessageBox.Show("Download the upgrade file error"); <br />} <br />catch (Exception exp) <br />{ <br />bHasError = true; <br />MessageBox.Show("An error occurred during the upgrade process"); <br />} <br />finally <br />{ <br />if (bHasError == true) <br />{ <br />try <br />{ <br />autoUpdater.RollBack(); <br />} <br />catch (Exception) <br />{ <br />//Log the message to your file or database <br />} <br />} <br />} <br />#endregion使用就是这么简单，更详细的操作，大家可以下载源码，也正因为它的简单，所以大家可以对其修改以满足具体项目的需求。</p>
<p><strong>六. 具体效果 <br /></strong><br />
<br />当我们运行主程序（WinForm或者WPF），如果服务器上有最新的版本，就会弹出如下页面进行提示并让用户选择是否更新。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDExMTU5NTk1MTcxMy5wbmc=.jpg"></p>
<p>图4</p>
<p>当用户不需要更新时，可以选择Skip按钮跳过并继续主程序流程，反之则进入如下页面。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDExMTU5NTk1NDY4OS5wbmc=.jpg"></p>
<p>图5</p>
<p>在下载的过程中，用户可以选择Cancel停止下载并重新回到主流程。</p>
<h1>七. 维护与下载</h1>
<p>该组件已经托管到CodePlex，所以大家可以到上面下载其源代码，具体地址：http://autoupdater.codeplex.com/</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDExMTUxMDAzMzk5LnBuZw==.jpg"></p>
<p>图6</p>
<h1>八. 总结</h1>
<p>　　我们这篇文章简单的讲解了一个简单的自动更新组件，由于它比较简单而且功能单一，所以没有花费大量的篇幅进行论述，感兴趣的读者可以下载其源码。后面我会把自己开发的一套MVVM框架也托管上去，由于目前对Silverlight的支持还不太好，所以正在持续做相关的改进，其中借鉴了一些其他优秀框架的思想并且融入了一些实际应用场景，所以到时也希望大家能够多多指教！<br />作者：圣殿骑士 <br />出处：http://www.cnblogs.com/KnightsWarrior/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索文件<br />
                    ，                更新<br />
                    ，                组件<br />
                    ，                简单<br />
                    ，                clickonce<br />
                    ，                自动<br />
                    ，                版本号比较大小<br />
                                    自动更新组件<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 13:12:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%9b%b4%e6%96%b0/" title="更新">更新</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8/" title="自动">自动</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/clickonce/" title="clickonce">clickonce</a>, <a href="https://www.iamivan.net/tag/%e7%89%88%e6%9c%ac%e5%8f%b7%e6%af%94%e8%be%83%e5%a4%a7%e5%b0%8f/" title="版本号比较大小">版本号比较大小</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8%e6%9b%b4%e6%96%b0%e7%bb%84%e4%bb%b6/" title="自动更新组件">自动更新组件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>asp.net自动更新组件分享的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY9P1b.html" rel="bookmark">asp&period;net自动更新组件分享&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 摘要 前两天在博客上发布了一篇英文的自动更新组件文章Release a AutoUpdater tool,那么在这篇文章中,我们也对其功能进行一些简单说明,这个组件非常简单,所以大家可以下载进行一些改进.众所周知,对于一般的软件开发,在开始的时候都会有一个技术选型的阶段,最大的选型就是首先要确定是选择Client/Server模式还是Browser/Server模式.综合而论:两者各有优劣,在很多方面都不能被对方互相取代,如在适用Internet.维护工作量等方面,B/S比C/S要强很多:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBBoDz.html" rel="bookmark">自动更新组件分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 摘要 前两天在博客上发布了一篇英文的自动更新组件文章Release a AutoUpdater tool,那么在这篇文章中,我们也对其功能进行一些简单说明,这个组件非常简单,所以大家可以下载进行一些改进.众所周知,对于一般的软件开发,在开始的时候都会有一个技术选型的阶段,最大的选型就是首先要确定是选择Client/Server模式还是Browser/Server模式.综合而论:两者各有优劣,在很多方面都不能被对方互相取代,如在适用Internet.维护工作量等方面,B/S比C/S要强很多:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zea7Dxz.html" rel="bookmark">一起谈&period;NET技术，自动更新组件分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 摘要 前两天在博客上发布了一篇英文的自动更新组件文章Release a AutoUpdater tool,那么在这篇文章中,我们也对其功能进行一些简单说明,这个组件非常简单,所以大家可以下载进行一些改进.众所周知,对于一般的软件开发,在开始的时候都会有一个技术选型的阶段,最大的选型就是首先要确定是选择Client/Server模式还是Browser/Server模式.综合而论:两者各有优劣,在很多方面都不能被对方互相取代,如在适用Internet.维护工作量等方面,B/S比C/S要强很多:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPjvGz.html" rel="bookmark">Android：友盟的自动更新组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				又好又专业的服务能帮开发者省很多时间.一开始做项目也准备自己来统计数据.自己做自动更新,随着使用友盟服务的时间增加,渐渐放弃了这种想法,转而研究如何更充分的使用,这里分享一下使用自动更新组件的心得. 一.缺少res导致不能升级的问题 由于缺少了解,官网文档也没用提醒,仅仅拷贝了SDK的jar到工程里,一直不知道到底升级功能是否已经实现,关键是也不报错!今天又拿出来测试了一下,监听了一下UmengUpdateListener接口,发现客户端已经检测到了更新,但是没用弹出更新的对话框,然后就注意到了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjBexp.html" rel="bookmark">【Android】友盟的自动更新组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 又好又专业的服务能帮开发者省很多时间.一开始做项目也准备自己来统计数据.自己做自动更新,随着使用友盟服务的时间增加,渐渐放弃了这种想法,转而研究如何更充分的使用,这里分享一下使用自动更新组件的心得.   声明 欢迎转载,但请保留文章原始出处:)  博客园:http://www.cnblogs.com 农民伯伯: http://over140.cnblogs.com  正文 一.缺少res导致不能升级的问题 由于缺少了解,官网文档也没用提醒,仅仅拷贝了SDK的jar到工程里,一直不知道到底升			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Y2VZz.html" rel="bookmark">Win7系统禁止Adobe Flash Player插件自动更新方法分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				给各位Flash软件的使用者们来详细的解析分享一下Win7系统禁止Adobe Flash Player插件自动更新的方法. 办法分享: Adobe Flash Player这款优秀的浏览器的插件,使得各大视频网站都对它进行支持,下载了这个adobe flash插件之后,有时候安装立刻就要结束了,却会出现安装flash player失败的情况 在使用浏览器观看视频的时候,我们都会遇到这样一个事情,浏览器上方弹出Adobe Flash Player安装的提示.这款优秀的浏览器的插件,使得各大视频网站			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqOG92z.html" rel="bookmark">自动更新（自动升级）组件分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:自动更新(自动升级)组件分享     自从接触安装部署以来就有软件升级的需求,最简单的就是clickonce,但无法做到深入控制,本寄希望于WIX可以自己实现,但现在还没有找到例子.然后才自己实现. 要声明一下,这是在圣殿骑士AutoUpdater基础上改动过来的.基于他分享的精神,我也继续分享.我主要做了以下改动.     1.加入客服端安装版本和下载版本检测.     2.加入更新提示.     3.做了一些异常处理,增加了接口方法.     4.加入了皮肤.    按照国际惯例,先上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgdOOM.html" rel="bookmark">asp网页：选中select某一项，自动更新右侧的table数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp网页:选中select某一项,自动更新右侧的table数据 如图,左侧select中是数据表的主键,我想实现,单击选中select中的某一项,自动查询数据库,并把结果显示在右侧table中. 求大神指引思路,用onchange事件可以实现吗?详细代码更好,谢啦! 解决方案 简单的就select+iframe &lt;select onchange=&quot;document.getElementById('ifr').src='xxxx.asp?id='+this.value&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYvXQb.html" rel="bookmark">QQ如何设置自动更新 QQ自动更新设置方法分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				给各位QQ软件的用户们来详细的解析分享一下QQ自动更新的设置方法. 方法分享: 其实方法是很简单的,各位用户们只要进入系统设置-基本设置-软件更新,选择适宜的更新方式即可.   好了,以上的信息就是小编给各位QQ的这一款软件的用户们带来的详细的QQ自动更新的设置方法解析分享的全部内容了,各位看到这里的用户们小编相信你们现在那是非常的清楚了设置方法了吧,那么大家就快去按照小编分享的方法自己去设置下自动更新吧.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5q9qp.html" rel="bookmark" class="title">C&num; 语言规范--1&period;10 委托</a>
					<div>
						规范 委托适用于那种在某些其他语言中需用函数指针来解决的情况(场合).但是,与函数指针不同,委托是面向对象和类型安全的. 委托声明定义一个类,它是从 System.Delegate 类派生的类.委托实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boPKBM.html" rel="bookmark" class="title">ASP中数据库调用常见错误解决</a>
					<div>
						错误|解决|数据|数据库 下面是虚机维护中,经常碰到的一些ASP程序中的数据库调用的错误,现收集整理如下: 不能打开注册表关键字(8007000e) Microsoft OLE DB Provider ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbanBQM.html" rel="bookmark" class="title">说说百度与网站的关系</a>
					<div>
						凡是做站的无不知道搜索引擎对网站的重要性.对于个人网站尤其重要.中国的个人网站经过多年的发展,为互联网提供了大量丰富的网络资源,正是因为这样,网络资源的分享不单单是当年那些牛气的各大门户了.因为它们的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwV68p.html" rel="bookmark" class="title">关于7月5日部分网站收录恢复正常的一点小思考</a>
					<div>
						7月5号晚上12点之前,发现很多网站的百度收录都恢复了正常,首先说一句,大家赶快去site一下自己的网站,之前被k掉的收录已经在慢慢恢复中,不少站长朋友们可以放心了. 受628事件的影响,众多网站收录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxxGkb.html" rel="bookmark" class="title">ExtJs&plus;WCF&plus;LINQ实现分页Grid&lpar;1&rpar;</a>
					<div>
						上篇文章&lt;用ExtJs+Linq+Wcf打造简单grid &gt;,这个网格控件不带分页,本 文在上文的基础上添加分页功能,文中会着重介绍如何在用LINQ返回分页数据, 如何使ExtJs与WCF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N2JJz.html" rel="bookmark" class="title">Pig系统分析&lpar;4&rpar; Logical Plan Optimizer</a>
					<div>
						优化过程 Pig哲学之二--Pigs Are Domestic Animals.用户拥有足够的控制权.具体到逻辑执行计划的优化上,用户可以根据自己情况选择适合的优化规则(也可以理解为优化这块还大有潜力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6dWEz.html" rel="bookmark" class="title">Lync 2013部署过程：后端数据库服务器</a>
					<div>
						实验环境全部采用的都是windows server2012标准版来部署 lync是基于微软的AD域来部署的,所以部署之前必须先架设AD域 这里预计准备9台虚拟机来部署服务端 192.168.1.*为内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrv48p.html" rel="bookmark" class="title">激动网二次声明再回应 1月7日联合起诉土豆</a>
					<div>
						1月7日,激动网就土豆网发表的二声明再次回应,指责土豆网&quot;玩弄文字游戏&quot;,&quot;一边谈和解,一边继续盗版&quot;,声称激动网和反盗版联盟已于1月7日正式起诉土豆,并且透露 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY0orM.html" rel="bookmark" class="title">如何在Win7登录画面默认开启小键盘数字锁定？</a>
					<div>
						  我们平时在登录Windows7.Windows8/Windows 8.1和Windows10的时候,在登录画面可能会遇到密码输入框默认并非数字锁定的情况.此时我们需要手动开启小键盘的数字锁定,稍显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwYXnb.html" rel="bookmark" class="title">分配U盘单元大小不得不知的对策</a>
					<div>
						  所谓分配单元大小,即是系统对磁盘以及移动存储设备进行读写的最小单位.文件就是按照这个分配单元的大小被分成若干块存储在磁盘上的.一般来说,分配单元越小越节约空间,在读取的过程中需要比较长的时间;而分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGaB8p.html" rel="bookmark" class="title">Mac文件如何重命名</a>
					<div>
						  Mac系统下的文件如何重命名?我们在使用PC的时候,对文件重命名的时候都会习惯的使用鼠标右键,选择重命名选项来对文件进行重命名,可是苹果电脑这样是行不通的,今天PC6小编就为大家介绍两种Mac O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oDK7b.html" rel="bookmark" class="title">WinPE系统开机画面如何修改</a>
					<div>
						  WinPE系统开机画面一般是在外置程序文件夹中,找到存放的位置后直接替换即可,一般使用JPG和BMP图片.如果不知道存放在哪,可以查看一下外置程序加载文件WINPE.INI,如老毛桃WINPE.I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42QZrM.html" rel="bookmark" class="title">Android 原始资源文件的使用详解&lowbar;Android</a>
					<div>
						背景知识介绍与其他平台的应用程序一样,Android中的应用程序也会使用各种资源,比如图片,字串等,会把它们放入源码的相应文件夹下面,如/res/drawable, /res/xml, /res/va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE0D3z.html" rel="bookmark" class="title">&lbrack;原创&rsqb;和DriverStudio过不去之加强版&colon;&rpar;</a>
					<div>
						和DriverStudio&quot;过不去&quot;之加强版  (&lt;&lt;抢先DriverStudio夺取机器控制权&gt;&gt;系列2)           上篇仅仅说到如何抢先Dri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZElGBp.html" rel="bookmark" class="title">有代理时HTTP直连IP可能走不通</a>
					<div>
						考虑到域名劫持或DNS解析延迟,有时会直接指定IP地址来请求一个HTTP页面. 比如要访问http://g.tbcdn.cn/s.gif,假设服务端IP为115.238.23.250,指定IP请求该页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M942edb.html" rel="bookmark" class="title">itemselectionchanged-ListView中的重复单击触发问题</a>
					<div>
						问题描述 ListView中的重复单击触发问题 Listview的SelectedIndexChanged和ItemSelectionChanged事件,在已有选中项时,重复单击选中项,依然会两次触发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmARNb.html" rel="bookmark" class="title">工控机与PLC、普通电脑的区别</a>
					<div>
						工控机即工业控制计算机,随着社会信息化的不断深入,关键性行业的关键任务将越来越多地依靠工控机.一些工控机和一些具有特殊功能的工控主板相结合使用,有些只是完成一普通电脑一样的功能,完全可以用普通电脑来实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAl86p.html" rel="bookmark" class="title">商业洞察力才是&OpenCurlyDoubleQuote;艺&rdquo;，大数据分析是&OpenCurlyDoubleQuote;术&rdquo;</a>
					<div>
						在对今年美国总统大选结果的各种预测中,&quot;义乌做旗子的预测美国大选结果&quot;异军突起,让人们见识到了大数据的神奇力量.眼下,在我们生活周围环绕着各种大数据,但很多人对大数据还是一知半解. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgPJBb.html" rel="bookmark" class="title">抢票插件被禁止</a>
					<div>
						1月18日晚间消息,据相关消息可知,工信部已正式下达通知,要求国内浏览器停止使用抢票的这个插件. 这就是说明在铁道部就插件问题约谈金山网络后,官方将正式禁用抢票插件.据某浏览器厂商内部人士透露,我们可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX9EWz.html" rel="bookmark" class="title">玩网络 站长要用什么样的软件</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 玩网络,站长要用什么样的软件? 用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx007BM.html" rel="bookmark" class="title">java web-javaweb 中的连接池出错</a>
					<div>
						问题描述 javaweb 中的连接池出错 出错提示 javax.naming.NoInitialContextException: Need to specify class name in envi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXJjrb.html" rel="bookmark" class="title">JS读写cookie以及中文乱码解决</a>
					<div>
						原文:JS读写cookie以及中文乱码解决 本文地址:http://www.cnblogs.com/PiaoMiaoGongZi/p/4092489.html 转载请注明. Js获取所有的cookie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWZ67M.html" rel="bookmark" class="title">winform开发中autovue 默认选中平移按钮怎样弄？求助</a>
					<div>
						问题描述 winform开发中autovue默认选中平移按钮怎样弄?求助 解决方案 解决方案二:autovue用的版本是:autovue20.0.0.7330.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgLYOM.html" rel="bookmark" class="title">一步一步写算法（之排序二叉树的保存和加载）</a>
					<div>
						原文:一步一步写算法(之排序二叉树的保存和加载)[ 声明:版权所有,欢迎转载,请勿用于商业用途.  联系信箱:feixiaoxing @163.com]     排序二叉树是我们开发中经常使用到的一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y5Voz.html" rel="bookmark" class="title">svm预测</a>
					<div>
						问题描述 想用svm预测股票价格,svm模型预测出来的几天的结果都是一样的,这是为什么 解决方案 解决方案二:本帖最后由 weimochengxi 于 2014-08-24 14:16:27 编辑解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyVaAz.html" rel="bookmark" class="title">BAT正在AI领域快速追赶 云计算是最佳落地场景</a>
					<div>
						不可否认,云计算是人工智能的底层支撑,也是人工智能落地的最佳场景.无论是百度.阿里还是腾讯,云计算业务是他们输出人工智能技术的窗口. 英媒称,某些类型的技术似乎是专为快速追随者设计的.这些竞争者也许并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Bj0b.html" rel="bookmark" class="title">CSS基础学习&lowbar;CSS&sol;HTML</a>
					<div>
						一．样式表基础 1． 样式表中每一个条目由选择符(selector)和对应的规则组成,选择符通常是HTML元素名称,也可以是类(class).标识符(id).伪类(pseudo class,它们标示了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QVPWp.html" rel="bookmark" class="title">jQuery实现鼠标经过购物车出现下拉框代码&lpar;推荐&rpar;&lowbar;jquery</a>
					<div>
						这一段时间在学习web前端,最近学了jQuery库,深感其强大,下面通过写购物车的下拉框做法,把自己的理解和大家交流一下,欢迎各位大神指点指正,废话不多说,开始正题: 购物车html: &lt;!-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkL1nz.html" rel="bookmark" class="title">js获得页面的高度和宽度的方法&lowbar;javascript技巧</a>
					<div>
						今天在做一个弹出dialog时,遇用到了取父页面的宽度和高度的方法. 尝试了几种方式,比如document.body.clientWidth,window.screen.width,document. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqOEAp.html" rel="bookmark" class="title">MYSQL 左连接右连接和内连接的详解及区别&lowbar;Mysql</a>
					<div>
						MYSQL 左连接右连接和内连接的区别,这里就对这些概念经过一个实例,讲解清楚. 代码如下: drop table table1; CREATE TABLE `andrew`.`table1` ( ` ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
